LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPaneBorderPainter Interface Reference

Paint the border around a rectangular region, typically a pane. More...

`import"XPaneBorderPainter.idl";`

## Public Member Functions
::com::sun::star::awt::Rectangle | addBorder ([in] string sPaneBorderStyleName, [in] ::com::sun::star::awt::Rectangle aRectangle, [in] BorderType eBorderType)
| Enlarge the given rectangle by the size of the specified part of the border. More...
::com::sun::star::awt::Rectangle | removeBorder ([in] string sPaneBorderStyleName, [in] ::com::sun::star::awt::Rectangle aRectangle, [in] BorderType eBorderType)
| Shrink the given rectangle by the size of the specified part of the border. More...
void | paintBorder ([in] string sPaneBorderStyleName, [in] ::com::sun::star::rendering::XCanvas xCanvas, [in] ::com::sun::star::awt::Rectangle aOuterBorderRectangle, [in] ::com::sun::star::awt::Rectangle aRepaintArea, [in] string sTitle)
| Paint the border around a pane. More...
void | paintBorderWithCallout ([in] string sPaneBorderStyleName, [in] ::com::sun::star::rendering::XCanvas xCanvas, [in] ::com::sun::star::awt::Rectangle aOuterBorderRectangle, [in] ::com::sun::star::awt::Rectangle aRepaintArea, [in] string sTitle, [in] ::com::sun::star::awt::Point aCalloutAnchor)
| Paint the border around a pane where the border includes a call out that is anchored at the given point. More...
::com::sun::star::awt::Point | getCalloutOffset ([in] string sPaneBorderStyleName)
| Return the offset of a call out anchor with respect to the outer border. More...

## Detailed Description

Paint the border around a rectangular region, typically a pane.

Calling objects have to be able to derive inner bounding boxes of the border from the outer ones and inner ones from outer ones. This conversion and the painting of the border involves three rectangles. The inner and outer bounding box of the border. This is a logical bounding box which the paint methods may paint over. The center box is the third rectangle. This is the actual border between outer and inner background color or bitmap and it is used for placing the bitmaps that are used paint the border. The inner sides and corners are places relative to this center box, i.e. when not further offsets are given then the upper left corner bitmap is painted with its lower right at the upper left of the center box.

## Member Function Documentation

## ◆ addBorder()

::com::sun::star::awt::Rectangle addBorder | ( | [in] string | sPaneBorderStyleName,
|  | [in] ::com::sun::star::awt::Rectangle | aRectangle,
|  | [in] BorderType | eBorderType
| ) |  |

Enlarge the given rectangle by the size of the specified part of the border.

This method can be used to convert an inner bounding box into the center box or the outer bounding box.

Parameters

  sPaneBorderStyleName | The pane style defines the sizes of the border.
  aRectangle | This rectangle will be converted into a larger one. This should be the center box or the inner bounding box of the border.
  eBorderType | The part of the border to add to the given rectangle. Use INNER_BORDER to convert an inner bounding box into the center box or TOTAL_BORDER to convert it into the outer bounding box. OUTER_BORDER can be used to convert the center box into the outer bounding box.

## ◆ getCalloutOffset()

::com::sun::star::awt::Point getCalloutOffset | ( | [in] string | sPaneBorderStyleName | ) |

Return the offset of a call out anchor with respect to the outer border.

This value is used when the call out is realized by a fixed bitmap in order to determine the size and/or location of the outer border for a given call out.

## ◆ paintBorder()

void paintBorder | ( | [in] string | sPaneBorderStyleName,
|  | [in] ::com::sun::star::rendering::XCanvas | xCanvas,
|  | [in] ::com::sun::star::awt::Rectangle | aOuterBorderRectangle,
|  | [in] ::com::sun::star::awt::Rectangle | aRepaintArea,
|  | [in] string | sTitle
| ) |  |

Paint the border around a pane.

Parameters

  sPaneBorderStyleName | The pane style to use for painting the border.
  xCanvas | The canvas onto which the border is painted.
  aOuterBorderRectangle | The outer bounding box of the border. Use addBorder to convert the bounding box of a pane (the inner bounding box of the border) into this outer bounding box of the border.
  aRepaintArea | The area in which the border has to be repainted. The clip rectangle.
  sTitle | The pane title. Supply an empty string for panes without title. It is the responsibility of the caller to supply a title only for pane border styles that support a title.

## ◆ paintBorderWithCallout()

void paintBorderWithCallout | ( | [in] string | sPaneBorderStyleName,
|  | [in] ::com::sun::star::rendering::XCanvas | xCanvas,
|  | [in] ::com::sun::star::awt::Rectangle | aOuterBorderRectangle,
|  | [in] ::com::sun::star::awt::Rectangle | aRepaintArea,
|  | [in] string | sTitle,
|  | [in] ::com::sun::star::awt::Point | aCalloutAnchor
| ) |  |

Paint the border around a pane where the border includes a call out that is anchored at the given point.

Most arguments have the same meaning as in the paintBorder().

See also
  paintBorder

Parameters

  sPaneBorderStyleName | See description in paintBorder.
  xCanvas | See description in paintBorder.
  aOuterBorderRectangle | See description in paintBorder.
  aRepaintArea | See description in paintBorder.
  sTitle | See description in paintBorder.
  aCalloutAnchor | The anchor point of the call out. It is usually located outside the border.

## ◆ removeBorder()

::com::sun::star::awt::Rectangle removeBorder | ( | [in] string | sPaneBorderStyleName,
|  | [in] ::com::sun::star::awt::Rectangle | aRectangle,
|  | [in] BorderType | eBorderType
| ) |  |

Shrink the given rectangle by the size of the specified part of the border.

This method can be used to convert an outer bounding box into the center box or the inner bounding box.

Parameters

  sPaneBorderStyleName | The pane style defines the sizes of the border.
  aRectangle | This rectangle will be converted into a smaller one that lies inside it. It should be the center box or the outer bounding box of the border.
  eBorderType | The part of the border to remove from the given rectangle. Use OUTER_BORDER to convert an outer bounding box into the center box or TOTAL_BORDER to convert it into the inner bounding box. INNER_BORDER can be used to convert the center box into the inner bounding box.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XPaneBorderPainter.idl